研究室のサーバー(RHEL4)にnumpyをインストールしたかった

webで調べつつやってたけど、リンク切れとかしまくっててどうしたら良いのかわからないから一応メモ

http://pythonadventures.wordpress.com/2011/11/09/install-numpy-and-scipy-on-ubuntu/
ここを参考に
pythonは2.7がはいっていた

sudo pip install numpy
しかしfortranが入ってない

sudo apt-get install libatlas-base-dev gfortran
apt-getが入ってない!

sudo yum install apt
yumが入ってない!

yumをインストール
http://d.hatena.ne.jp/ZIGOROu/20061217/1166377279
よくわからなかったのでこの通りにすべてやる

動かない
http://dag.wieers.com/rpm/FAQ.php#B4
sudo rpm -Uhv http://apt.sw.be/redhat/el4/en/x86_64/rpmforge/RPMS/rpmforge-release-0.3.6-1.el4.rf.x86_64.rpm
http://apt.sw.be/redhat/el4/en/x86_64/rpmforge/RPMS/rpmforge-release-0.3.6-1.el4.rf.x86_64.rpm を取得しています
Preparing... ########################################### [100%]
file /etc/smart/channels/rpmforge.channel from install of rpmforge-release-0.3.6-1.el4.rf conflicts with file from package rpmforge-release-0.3.6-1.el4.rf
file /etc/sysconfig/rhn/sources.rpmforge.txt from install of rpmforge-release-0.3.6-1.el4.rf conflicts with file from package rpmforge-release-0.3.6-1.el4.rf

rpmforge-release-0.3.6-1.el4.rfが重複かなんかしてる?

sudo rpm -e rpmforge-release-0.3.6-1.el4.rf
rpmforge-release-0.3.6-1.el4.rfを消したっぽい

もっかい
sudo rpm -Uhv http://apt.sw.be/redhat/el4/en/x86_64/rpmforge/RPMS/rpmforge-release-0.3.6-1.el4.rf.x86_64.rpm
http://apt.sw.be/redhat/el4/en/x86_64/rpmforge/RPMS/rpmforge-release-0.3.6-1.el4.rf.x86_64.rpm を取得しています
Preparing... ########################################### [100%]
1:rpmforge-release ########################################### [100%]

なんかはいったっぽい

sudo rpm -Uhv http://apt.sw.be/redhat/el3/en/x86_64/rpmforge/RPMS/rpmforge-release-0.3.6-1.el3.rf.x86_64.rpm
http://apt.sw.be/redhat/el3/en/x86_64/rpmforge/RPMS/rpmforge-release-0.3.6-1.el3.rf.x86_64.rpm を取得しています
Preparing... ########################################### [100%]
package rpmforge-release-0.3.6-1.el4.rf (which is newer than rpmforge-release-0.3.6-1.el3.rf) is already installed


もっかいこの通りにyumをインストール
http://d.hatena.ne.jp/ZIGOROu/20061217/1166377279

動かない
equired to run yum. The error leading to this problem was:
/usr/lib/python2.3/site-packages/cElementTree.so: cannot open shared object file: No such file or directory

多分いれたElementTreeのがちがう?

http://pkgs.repoforge.org/python-elementtree/
を確認してRHEL4 and CentOS-4 x86 64bitのやつをいれる
yum動く!

sudo yum install apt
apt-getできる!

sudo apt-get install libatlas-base-dev gfortran
E: パッケージ libatlas-base-dev が見付かりません


リポジトリとかが入ってないっぽい?
もう疲れました…

参考
http://d.hatena.ne.jp/ZIGOROu/20061217/1166377279
http://dag.wieers.com/rpm/FAQ.php#B4
http://ayo.freshrpms.net/

広告


コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中